<html>
<head>
<title>OGRE: Ogre::ExternalTextureSourceManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">ExternalTextureSourceManager</a></div>
<h1>Ogre::ExternalTextureSourceManager Class Reference</h1><!-- doxytag: class="Ogre::ExternalTextureSourceManager" --><!-- doxytag: inherits="Ogre::Singleton" --><a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> Class which handles the registering and control of texture plugins.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreExternalTextureSourceManager_8h-source.html">OgreExternalTextureSourceManager.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ExternalTextureSourceManager:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ExternalTextureSourceManager-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#fb679d92039ce0c47a43aba93cda77cd">ExternalTextureSourceManager</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Constructor.  <a href="#fb679d92039ce0c47a43aba93cda77cd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#02498f0fe5568e492d77d04b12345011">~ExternalTextureSourceManager</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destructor.  <a href="#02498f0fe5568e492d77d04b12345011"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#20928ae950911b85605994775e2485e1">setCurrentPlugIn</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;sTexturePlugInType)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets active plugin (ie.  <a href="#20928ae950911b85605994775e2485e1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ExternalTextureSource.html">ExternalTextureSource</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#57795017d3d3db938246b677729b4f16">getCurrentPlugIn</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns currently selected plugin, may be null if none selected.  <a href="#57795017d3d3db938246b677729b4f16"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#c555acdb2331964338efe376b156ff83">destroyAdvancedTexture</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;sTextureName, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName=<a class="el" href="classOgre_1_1ResourceGroupManager.html#62561ccf5ff323942a9a4fab94bee7e3">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a>)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Calls the destroy method of all registered plugins.  <a href="#c555acdb2331964338efe376b156ff83"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ExternalTextureSource.html">ExternalTextureSource</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#86b661273b9654089472178e6927e33f">getExternalTextureSource</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;sTexturePlugInType)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns the plugin which reistered itself with a specific name (eg.  <a href="#86b661273b9654089472178e6927e33f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#ba3a8f5a2f49c1458f14c5f169940681">setExternalTextureSource</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;sTexturePlugInType, <a class="el" href="classOgre_1_1ExternalTextureSource.html">ExternalTextureSource</a> *pTextureSystem)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called from plugin to register itself.  <a href="#ba3a8f5a2f49c1458f14c5f169940681"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">ExternalTextureSourceManager</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#48ff44556145b75d887f4162ff44237b">getSingleton</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#48ff44556145b75d887f4162ff44237b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static <br>
<a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">ExternalTextureSourceManager</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#70c7067c51f73b0fbf2dcf77d582bb08">getSingletonPtr</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval.  <a href="#70c7067c51f73b0fbf2dcf77d582bb08"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="classOgre_1_1ExternalTextureSource.html">ExternalTextureSource</a> * &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#123f5efeb8c57c9761daa65db0900140">TextureSystemList</a></td></tr>

<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ExternalTextureSource.html">ExternalTextureSource</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#fc2c21c13829ac7241e827b0229bba14">mpCurrExternalTextureSource</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#123f5efeb8c57c9761daa65db0900140">TextureSystemList</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#4db0f7fa2d401e44f94b0452f188e6b1">mTextureSystems</a></td></tr>

<tr><td colspan="2"><br><h2>Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">static T *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> Class which handles the registering and control of texture plugins. 
<p>
The plugins will be mostly controlled via a string interface. 
<p>Definition at line <a class="el" href="OgreExternalTextureSourceManager_8h-source.html#l00050">50</a> of file <a class="el" href="OgreExternalTextureSourceManager_8h-source.html">OgreExternalTextureSourceManager.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="123f5efeb8c57c9761daa65db0900140"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::TextureSystemList" ref="123f5efeb8c57c9761daa65db0900140" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1ExternalTextureSource.html">ExternalTextureSource</a>*&gt; <a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#123f5efeb8c57c9761daa65db0900140">Ogre::ExternalTextureSourceManager::TextureSystemList</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSourceManager_8h-source.html#l00113">113</a> of file <a class="el" href="OgreExternalTextureSourceManager_8h-source.html">OgreExternalTextureSourceManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="fb679d92039ce0c47a43aba93cda77cd"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::ExternalTextureSourceManager" ref="fb679d92039ce0c47a43aba93cda77cd" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ExternalTextureSourceManager::ExternalTextureSourceManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Constructor. 
<p>

</div>
</div><p>
<a class="anchor" name="02498f0fe5568e492d77d04b12345011"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::~ExternalTextureSourceManager" ref="02498f0fe5568e492d77d04b12345011" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::ExternalTextureSourceManager::~ExternalTextureSourceManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destructor. 
<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="20928ae950911b85605994775e2485e1"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::setCurrentPlugIn" ref="20928ae950911b85605994775e2485e1" args="(const String &amp;sTexturePlugInType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ExternalTextureSourceManager::setCurrentPlugIn           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>sTexturePlugInType</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets active plugin (ie. 
<p>
"video", "effect", "generic", etc..) 
</div>
</div><p>
<a class="anchor" name="57795017d3d3db938246b677729b4f16"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::getCurrentPlugIn" ref="57795017d3d3db938246b677729b4f16" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSource.html">ExternalTextureSource</a>* Ogre::ExternalTextureSourceManager::getCurrentPlugIn           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns currently selected plugin, may be null if none selected. 
<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSourceManager_8h-source.html#l00062">62</a> of file <a class="el" href="OgreExternalTextureSourceManager_8h-source.html">OgreExternalTextureSourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c555acdb2331964338efe376b156ff83"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::destroyAdvancedTexture" ref="c555acdb2331964338efe376b156ff83" args="(const String &amp;sTextureName, const String &amp;groupName=ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ExternalTextureSourceManager::destroyAdvancedTexture           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>sTextureName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em> = <code><a class="el" href="classOgre_1_1ResourceGroupManager.html#62561ccf5ff323942a9a4fab94bee7e3">ResourceGroupManager::DEFAULT_RESOURCE_GROUP_NAME</a></code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Calls the destroy method of all registered plugins. 
<p>
.. Only the owner plugin should perform the destroy action. 
</div>
</div><p>
<a class="anchor" name="86b661273b9654089472178e6927e33f"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::getExternalTextureSource" ref="86b661273b9654089472178e6927e33f" args="(const String &amp;sTexturePlugInType)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSource.html">ExternalTextureSource</a>* Ogre::ExternalTextureSourceManager::getExternalTextureSource           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>sTexturePlugInType</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns the plugin which reistered itself with a specific name (eg. 
<p>
"video"), or null if specified plugin not found 
</div>
</div><p>
<a class="anchor" name="ba3a8f5a2f49c1458f14c5f169940681"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::setExternalTextureSource" ref="ba3a8f5a2f49c1458f14c5f169940681" args="(const String &amp;sTexturePlugInType, ExternalTextureSource *pTextureSystem)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Ogre::ExternalTextureSourceManager::setExternalTextureSource           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>sTexturePlugInType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ExternalTextureSource.html">ExternalTextureSource</a> *&nbsp;</td>
          <td class="paramname"> <em>pTextureSystem</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called from plugin to register itself. 
<p>

</div>
</div><p>
<a class="anchor" name="48ff44556145b75d887f4162ff44237b"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::getSingleton" ref="48ff44556145b75d887f4162ff44237b" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">ExternalTextureSourceManager</a>&amp; Ogre::ExternalTextureSourceManager::getSingleton           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7757bd7ac3702c144502e53ad6491888">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<a class="anchor" name="70c7067c51f73b0fbf2dcf77d582bb08"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::getSingletonPtr" ref="70c7067c51f73b0fbf2dcf77d582bb08" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classOgre_1_1ExternalTextureSourceManager.html">ExternalTextureSourceManager</a>* Ogre::ExternalTextureSourceManager::getSingletonPtr           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Override standard <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> retrieval. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Why do we do this? Well, it's because the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> implementation is in a .h file, which means it gets compiled into anybody who includes it. This is needed for the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a> template to work, but we actually only want it compiled into the implementation of the class based on the <a class="el" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>, not all of them. If we don't change this, we get link errors when trying to use the Singleton-based class from an outside dll. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method just delegates to the template version anyway, but the implementation stays in this single compilation unit, preventing link errors. </dd></dl>

<p>Reimplemented from <a class="el" href="classOgre_1_1Singleton.html#7ab51c46521b89723d6186a52a7e0d7b">Ogre::Singleton&lt; T &gt;</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="fc2c21c13829ac7241e827b0229bba14"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::mpCurrExternalTextureSource" ref="fc2c21c13829ac7241e827b0229bba14" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSource.html">ExternalTextureSource</a>* <a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#fc2c21c13829ac7241e827b0229bba14">Ogre::ExternalTextureSourceManager::mpCurrExternalTextureSource</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSourceManager_8h-source.html#l00110">110</a> of file <a class="el" href="OgreExternalTextureSourceManager_8h-source.html">OgreExternalTextureSourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4db0f7fa2d401e44f94b0452f188e6b1"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::mTextureSystems" ref="4db0f7fa2d401e44f94b0452f188e6b1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#123f5efeb8c57c9761daa65db0900140">TextureSystemList</a> <a class="el" href="classOgre_1_1ExternalTextureSourceManager.html#4db0f7fa2d401e44f94b0452f188e6b1">Ogre::ExternalTextureSourceManager::mTextureSystems</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreExternalTextureSourceManager_8h-source.html#l00114">114</a> of file <a class="el" href="OgreExternalTextureSourceManager_8h-source.html">OgreExternalTextureSourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d36ac06b409a2d580217328ef2cd3a01"></a><!-- doxytag: member="Ogre::ExternalTextureSourceManager::ms_Singleton" ref="d36ac06b409a2d580217328ef2cd3a01" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">T* <a class="el" href="classOgre_1_1Singleton.html">Ogre::Singleton</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Singleton.html#d36ac06b409a2d580217328ef2cd3a01">ms_Singleton</a><code> [static, protected, inherited]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreSingleton_8h-source.html#l00061">61</a> of file <a class="el" href="OgreSingleton_8h-source.html">OgreSingleton.h</a>.</p>

<p>Referenced by <a class="el" href="OgreSingleton_8h-source.html#l00076">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingleton()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00078">Ogre::Singleton&lt; Ogre::FontManager &gt;::getSingletonPtr()</a>, <a class="el" href="OgreSingleton_8h-source.html#l00064">Ogre::Singleton&lt; Ogre::FontManager &gt;::Singleton()</a>, and <a class="el" href="OgreSingleton_8h-source.html#l00074">Ogre::Singleton&lt; Ogre::FontManager &gt;::~Singleton()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreExternalTextureSourceManager_8h-source.html">OgreExternalTextureSourceManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:40 2008
</p>
</body>
</html>
